function [pics, valid_file_names] = read_imgs(file_names)
    valid_file_names = {};
    pics = {};
    for i = 1:length(file_names)
        pic = read_img(file_names{i});
        if ~isempty(pic)
            pics{end+1} = pic;
            valid_file_names{end+1} = file_names{i};
        end
    end
end